Name:		qubes-manager
Version:	4.2.9
Release:	1%{?dist}
Summary:	The Graphical Qubes VM Manager.
BuildArch:	noarch
Group:		Qubes
Vendor:		Invisible Things Lab
License:	GPL
URL:		https://www.qubes-os.org
Requires:	python%{python3_pkgversion}
%if 0%{?fedora} >= 34
Requires:	python%{python3_pkgversion}-qt5
%else
Requires:	python%{python3_pkgversion}-PyQt5
%endif
Requires:	python%{python3_pkgversion}-inotify
Requires:	python%{python3_pkgversion}-qubesadmin >= 4.1.18
Requires:	python%{python3_pkgversion}-qasync
Requires:	qubes-desktop-linux-common >= 4.1.2
Requires:	qubes-artwork
Requires:	pmount
Requires:	cryptsetup
Requires:	wmctrl
BuildRequires:	python%{python3_pkgversion}-PyQt5-devel
BuildRequires:	python%{python3_pkgversion}-devel
BuildRequires:	python%{python3_pkgversion}-setuptools
BuildRequires:	make
%if 0%{?fedora} >= 33 || 0%{?rhel} >= 7
BuildRequires:  qt5-qtbase-devel
%else
BuildRequires:  qt5-devel
%endif
BuildRequires:  qt5-linguist
AutoReq:	0

Source0: %{name}-%{version}.tar.gz

%description
The Graphical Qubes VM Manager.

%prep
%setup -q

%build
make ui res translations PYTHON=%{__python3}
make python PYTHON=%{__python3}

%install
make python_install DESTDIR=$RPM_BUILD_ROOT PYTHON=%{__python3}
make install DESTDIR=$RPM_BUILD_ROOT PYTHON=%{__python3}

%post
update-desktop-database &> /dev/null || :

%postun
update-desktop-database &> /dev/null || :

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
/usr/bin/qubes-vm-settings
/usr/bin/qubes-vm-create
/usr/bin/qubes-vm-clone
/usr/bin/qubes-vm-boot-from-device
/usr/bin/qubes-backup
/usr/bin/qubes-backup-restore
/usr/bin/qubes-qube-manager
/usr/bin/qubes-log-viewer
/usr/bin/qubes-template-manager
/usr/bin/qvm-template-gui
/usr/libexec/qubes-manager/mount_for_backup.sh
/usr/libexec/qubes-manager/qvm_about.sh

%dir %{python3_sitelib}/qubesmanager
%{python3_sitelib}/qubesmanager/__pycache__
%{python3_sitelib}/qubesmanager/__init__.py
%{python3_sitelib}/qubesmanager/clipboard.py
%{python3_sitelib}/qubesmanager/appmenu_select.py
%{python3_sitelib}/qubesmanager/backup.py
%{python3_sitelib}/qubesmanager/backup_utils.py
%{python3_sitelib}/qubesmanager/firewall.py
%{python3_sitelib}/qubesmanager/multiselectwidget.py
%{python3_sitelib}/qubesmanager/restore.py
%{python3_sitelib}/qubesmanager/settings.py
%{python3_sitelib}/qubesmanager/log_dialog.py
%{python3_sitelib}/qubesmanager/about.py
%{python3_sitelib}/qubesmanager/releasenotes.py
%{python3_sitelib}/qubesmanager/informationnotes.py
%{python3_sitelib}/qubesmanager/create_new_vm.py
%{python3_sitelib}/qubesmanager/clone_vm.py
%{python3_sitelib}/qubesmanager/common_threads.py
%{python3_sitelib}/qubesmanager/qube_manager.py
%{python3_sitelib}/qubesmanager/utils.py
%{python3_sitelib}/qubesmanager/bootfromdevice.py
%{python3_sitelib}/qubesmanager/device_list.py
%{python3_sitelib}/qubesmanager/template_manager.py
%{python3_sitelib}/qubesmanager/qvm_template_gui.py

%{python3_sitelib}/qubesmanager/resources_rc.py

%{python3_sitelib}/qubesmanager/ui_backupdlg.py
%{python3_sitelib}/qubesmanager/ui_bootfromdevice.py
%{python3_sitelib}/qubesmanager/ui_multiselectwidget.py
%{python3_sitelib}/qubesmanager/ui_newappvmdlg.py
%{python3_sitelib}/qubesmanager/ui_newfwruledlg.py
%{python3_sitelib}/qubesmanager/ui_restoredlg.py
%{python3_sitelib}/qubesmanager/ui_settingsdlg.py
%{python3_sitelib}/qubesmanager/ui_logdlg.py
%{python3_sitelib}/qubesmanager/ui_about.py
%{python3_sitelib}/qubesmanager/ui_releasenotes.py
%{python3_sitelib}/qubesmanager/ui_informationnotes.py
%{python3_sitelib}/qubesmanager/ui_qubemanager.py
%{python3_sitelib}/qubesmanager/ui_devicelist.py
%{python3_sitelib}/qubesmanager/ui_templatemanager.py
%{python3_sitelib}/qubesmanager/ui_clonevmdlg.py
%{python3_sitelib}/qubesmanager/ui_qvmtemplate.py
%{python3_sitelib}/qubesmanager/ui_templateinstallconfirmdlg.py
%{python3_sitelib}/qubesmanager/ui_templateinstallprogressdlg.py
%{python3_sitelib}/qubesmanager/i18n/qubesmanager_*.qm
%{python3_sitelib}/qubesmanager/i18n/qubesmanager_*.ts

%{python3_sitelib}/qubesmanager/tests/__pycache__
%{python3_sitelib}/qubesmanager/tests/__init__.py
%{python3_sitelib}/qubesmanager/tests/test_backup.py
%{python3_sitelib}/qubesmanager/tests/test_backup_utils.py
%{python3_sitelib}/qubesmanager/tests/test_qube_manager.py
%{python3_sitelib}/qubesmanager/tests/test_create_new_vm.py
%{python3_sitelib}/qubesmanager/tests/test_vm_settings.py
%{python3_sitelib}/qubesmanager/tests/test_clone_vm.py

%dir %{python3_sitelib}/qubesmanager-*.egg-info
%{python3_sitelib}/qubesmanager-*.egg-info/*

/usr/share/applications/qubes-vm-create.desktop
/usr/share/applications/qubes-backup.desktop
/usr/share/applications/qubes-backup-restore.desktop
/usr/share/applications/qubes-qube-manager.desktop
/usr/share/applications/qubes-template-manager.desktop
/usr/share/applications/qubes-template-switcher.desktop
/usr/share/desktop-directories/qubes-tools.directory
/etc/xdg/menus/applications-merged/qubes-tools.menu

%changelog
* Mon Sep 02 2024 Qubes OS Team <qubes-devel@googlegroups.com>
- For complete changelog see: https://github.com/QubesOS/qubes-manager

* Mon Sep 02 2024 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 89f05d7
- version 4.2.9-1

* Mon Sep 02 2024 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 90b5e9a
- tests: mock QMessageBox.information too

* Mon Sep 02 2024 Ali Mirjamali <ali@mirjamali.com> - 44c6ac4
- Improve qubemanager Toolbar on smaller screens

* Mon Sep 02 2024 Simon Gaiser <simon@invisiblethingslab.com> - 4840e15
- clone_vm: Don't use warning MessageBox on success

* Mon Sep 02 2024 Santiago Piccinini <spiccinini@altermundi.net> - eda64b1
- Fix crash on VM settings for a VM with temporary unlocked FW

* Mon Sep 02 2024 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 9f8fc55
- ci: ensure pip is installed

* Mon Sep 02 2024 Ali Mirjamali <ali@mirjamali.com> - 18c20dd
- Disable "Disposable template" checkbox if not applicable

* Mon Sep 02 2024 Ali Mirjamali <ali@mirjamali.com> - 01ad84f
- "Boot qubes from CD-ROM" shouldnt show the same qube as source

* Mon Sep 02 2024 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - ff6cb1f
- Remove useless return

* Mon Sep 02 2024 Ali Mirjamali <ali@mirjamali.com> - b6985c5
- Visually indicate unsupported Templates & StandaloneVMs in Qube Manager

* Fri Jan 05 2024 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - f701e83
- version 4.2.8-1

* Wed Dec 13 2023 Marta Marczykowska-Górecka <marmarta@invisiblethingslab.com> - 6844de8
- Fix broken VM settings for a VM with temporary unlocked FW

* Mon Dec 11 2023 Marta Marczykowska-Górecka <marmarta@invisiblethingslab.com> - 2cafcd8
- Remove relative imports from qubesmanager

* Wed Nov 22 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 444542a
- version 4.2.7-1

* Sun Oct 08 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 124b881
- version 4.2.6-1

* Sun Oct 08 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 2a05184
- Update tests after fixing QubesOS/qubes-issues#8387

* Wed Sep 20 2023 Marta Marczykowska-Górecka <marmarta@invisiblethingslab.com> - fb7691a
- Fix tests for new updater

* Tue Sep 19 2023 Marta Marczykowska-Górecka <marmarta@invisiblethingslab.com> - 07b7647
- Set menu-items feature instead of running qvm-appmenus

* Mon Sep 18 2023 Marta Marczykowska-Górecka <marmarta@invisiblethingslab.com> - 32d135b
- Use updater GUI for Qube Manager updates

* Mon Sep 18 2023 Manuel Amador (Rudd-O) <rudd-o@rudd-o.com> - f06ff89
- Correct CI errors.

* Mon Sep 18 2023 Rudd-O <rudd-o@rudd-o.com> - 300cfe5
- Fix uses of subprocess.Popen

* Fri Aug 11 2023 Marta Marczykowska-Górecka <marmarta@invisiblethingslab.com> - 9d5749e
- Use subprocess.Popen to spawn global config in manager

* Thu Aug 10 2023 Marta Marczykowska-Górecka <marmarta@invisiblethingslab.com> - df5748c
- Update size on disk in Qube Manager occassionally

* Tue Aug 01 2023 Marta Marczykowska-Górecka <marmarta@invisiblethingslab.com> - f4f829f
- Restart should be possible for persistent dispvms

* Tue Jul 18 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 9b9e972
- version 4.2.5-1

* Mon Jul 17 2023 Marta Marczykowska-Górecka <marmarta@invisiblethingslab.com> - 364393f
- Fix widget order in new FW rule windows

* Fri Jul 14 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 5ecdce5
- tests: fix vm settings tests with 'default-dvm' DispVM

* Wed Jun 14 2023 Oleg Drokin <green@linuxhacker.ru> - 024af63
- Fix error message when qube renaming fails.

* Mon May 29 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 12d66a9
- version 4.2.4-1

* Sun May 28 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - e4d4453
- tests: adjust after switching to new global config

* Sun May 28 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - aff69c0
- tests: adjust after not showing internal VMs by default

* Sun May 28 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - a2a2a9d
- Fix setting netvm to the default one

* Wed May 24 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 464f527
- version 4.2.3-1

* Mon May 15 2023 Marta Marczykowska-Górecka <marmarta@invisiblethingslab.com> - a49b594
- Remove old global settings

* Sat May 13 2023 Marta Marczykowska-Górecka <marmarta@invisiblethingslab.com> - 7e22e33
- Improve experience when changing netvm in vm settings

* Fri May 12 2023 Marta Marczykowska-Górecka <marmarta@invisiblethingslab.com> - cfe4797
- Check if default_netvm is running when changing netvm

* Wed May 03 2023 Marta Marczykowska-Górecka <marmarta@invisiblethingslab.com> - e4285c0
- Rename old Template Manager to Template Switcher

* Sat Apr 29 2023 Augsch123 <130238014+Augsch123@users.noreply.github.com> - d8ea89d
- Make pylint happy again

* Sat Apr 29 2023 Augsch123 <130238014+Augsch123@users.noreply.github.com> - 6401b12
- Make pylint happy

* Sat Apr 29 2023 Augsch123 <130238014+Augsch123@users.noreply.github.com> - 3f5a7f4
- Handle missing QWT package

* Sat Apr 29 2023 Augsch123 <130238014+Augsch123@users.noreply.github.com> - fdb7e47
- Preliminary GUI initiated QWT install

* Tue Apr 25 2023 Demi Marie Obenour <demi@invisiblethingslab.com> - 98053bd
- Catch more exceptions

* Tue Mar 14 2023 Marta Marczykowska-Górecka <marmarta@invisiblethingslab.com> - bbb9516
- Fix capitalization inconsistency in VM settings

* Tue Mar 14 2023 Marta Marczykowska-Górecka <marmarta@invisiblethingslab.com> - 9177c06
- Add a "show internal" option to Qube Manager

* Mon Mar 13 2023 Marta Marczykowska-Górecka <marmarta@invisiblethingslab.com> - e550f12
- Catch exceptions less conservatively

* Sat Feb 18 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 5ef8bd4
- version 4.2.2-1

* Fri Feb 17 2023 Marta Marczykowska-Górecka <marmarta@invisiblethingslab.com> - 53da678
- Make available/selected apps in settings clearer

* Fri Feb 17 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 09a2264
- version 4.2.1-1

* Wed Feb 15 2023 Marta Marczykowska-Górecka <marmarta@invisiblethingslab.com> - c76965d
- Fix tests for python 3.11

* Tue Feb 14 2023 Marta Marczykowska-Górecka <marmarta@invisiblethingslab.com> - 325a9e6
- Fix log_dialog

